Subject: [Emu] Implementing EAP-NOOB in Contiki - Use of the Realm assigned by the server?

From: Eduardo Inglés UM <[email-masked]>
Date: Thu, 20 Jun 2019 13:20:09 +0300

Hello all,

During the IETF 104 Prague I told you that I am implementing EAP-NOOB in 
Contiki. During the process I have had few issues that I will send in 
separate emails for clarifications in the coming weeks.

I like the way EAP-NOOB allows the server to send a realm that a peer 
can use later on during its lifetime. I find it useful when peers are 
roaming in different networks, for example, in the use case that I sent 
in a previous email. However, reading the specification it is not clear 
to me when a device should start using the Realm assigned by the server.

Should I use it already during Waiting Exchange? Or only after the 
device has been successfully authenticated in the Completion Exchange?

Regards,
Eduardo Inglés.